Bug 181318 - x11-servers/xorg-server does not compile or ARM
Summary: x11-servers/xorg-server does not compile or ARM
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: arm Any
: Normal Affects Some People
Assignee: freebsd-x11 (Nobody)
URL:
Keywords:
Depends on:
Blocks: 176703
  Show dependency treegraph
 
Reported: 2013-08-15 08:40 UTC by Guillaume Bibaut
Modified: 2014-09-15 23:32 UTC (History)
2 users (show)

See Also:


Attachments
patch-Xserver-hw-xfree86-os-support-bsd-Makefile.in (1.32 KB, patch)
2014-06-04 11:38 UTC, Mikael Urankar
no flags Details | Diff
patch-servermd.h (834 bytes, text/x-chdr)
2014-06-04 11:38 UTC, Mikael Urankar
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Guillaume Bibaut 2013-08-15 08:40:00 UTC
I'm trying to compile xorg-server on my EfikaMX smart book but I'm always getting stuck with this

I've been trying with and without WITH_NEW_XORG and I'm getting the same error.

==
gmake[4]: Entering directory `/usr/ports/x11-servers/xorg-server/work/xorg-server-1.12.4/fb'
  CC       libfb_la-fb24_32.lo
In file included from fb24_32.c:30:
./fb.h:95:2: error: "GLYPHPADBYTES must be 4"
#error "GLYPHPADBYTES must be 4"
 ^
1 error generated.
gmake[4]: *** [libfb_la-fb24_32.lo] Error 1
gmake[4]: Leaving directory `/usr/ports/x11-servers/xorg-server/work/xorg-server-1.12.4/fb'
gmake[3]: *** [all-recursive] Error 1
gmake[3]: Leaving directory `/usr/ports/x11-servers/xorg-server/work/xorg-server-1.12.4'
*** Error code 1

Stop.
make[2]: stopped in /usr/ports/x11-servers/xorg-server
*** Error code 1

Stop.
make[1]: stopped in /usr/ports/x11-servers/xorg-server
*** Error code 1

Stop.
make: stopped in /usr/ports/x11-drivers/xf86-input-keyboard
==

Fix: 

I don't know, I'm not a xorg specialist :)
How-To-Repeat: I'm not sure it would be the same on R-PI but at least I can give it a try, it just takes long to compile everything correctly since some other ports like graphics/dri and graphics/libGL based on MesaLib have to be patched.
Comment 1 Edwin Groothuis freebsd_committer 2013-08-17 19:25:40 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-x11

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Mikael Urankar freebsd_committer 2014-06-04 11:38:11 UTC
Created attachment 143359 [details]
patch-Xserver-hw-xfree86-os-support-bsd-Makefile.in
Comment 3 Mikael Urankar freebsd_committer 2014-06-04 11:38:55 UTC
Created attachment 143360 [details]
patch-servermd.h
Comment 4 Mikael Urankar freebsd_committer 2014-06-04 11:40:09 UTC
Hi,

I have successfully build xorg-server on my raspberry-pi with the patches attached (also available at [1] and [2]). You have to put them in x11-servers/xorg-server/files
The patches are from Aleksandr Rybalko (https://github.com/rayddteam/x11-servers-xorg-server)

A screenshot is available at [3]

[1] http://mikael.urankar.free.fr/FreeBSD/Raspberry-Pi/patch-Xserver-hw-xfree86-os-support-bsd-Makefile.in
[2] http://mikael.urankar.free.fr/FreeBSD/Raspberry-Pi/patch-servermd.h
[3] http://mikael.urankar.free.fr/FreeBSD/Raspberry-Pi/xorg_raspberry-pi.png
Comment 5 Sean Bruno freebsd_committer 2014-09-10 16:20:16 UTC
Differential created:
https://reviews.freebsd.org/D756

Redports build scheduled:
https://redports.org/buildarchive/20140910161500-10962/

Port builds successfully under qemu-arm bsd-user emulation.

Patch ready via phabric URL
Comment 6 commit-hook freebsd_committer 2014-09-15 23:27:48 UTC
A commit references this bug:

Author: sbruno
Date: Mon Sep 15 23:27:14 UTC 2014
New revision: 368293
URL: http://svnweb.freebsd.org/changeset/ports/368293

Log:
  Add some bits to the armv6 build to get a successful build/run on the RPi.

  Not bumping the PORTREVISION as this is only applied to ARM builds.

  Phabric:        https://reviews.freebsd.org/D756
  PR:             181318
  Submitted by:   mikael.urankar@gmail.com
  Reviewed by:    kwm@
  Approved by:    bdrewery (mentor)

Changes:
  head/x11-servers/xorg-server/Makefile
  head/x11-servers/xorg-server/files/extra-arm-patch-hw__xfree86__os-support__bsd__Makefile.in
  head/x11-servers/xorg-server/files/extra-arm-patch-include__servermd.h
Comment 7 Sean Bruno freebsd_committer 2014-09-15 23:32:29 UTC
Thanks for the updates.  I will start a pass and see if I can get working Xorg packages for arm up before the weekend.

http://chips.ysv.freebsd.org/packages